## IAnjutaEditorView

IAnjutaEditorView — Text editor view interface

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_view_error_quark ()
void | ianjuta_editor_view_create ()
gint | ianjuta_editor_view_get_count ()
void | ianjuta_editor_view_remove_current ()

## Types and Values

#define | IANJUTA_EDITOR_VIEW_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorView

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-view.h>

## Description

An editor view is a visual representation of the editor. An editor can have multiple views. All views of an editor show the same editor content (buffer). Consequently, any change done in one view is updated in all other views.

## Functions

### ianjuta_editor_view_error_quark ()

    GQuark
    ianjuta_editor_view_error_quark (void);

### ianjuta_editor_view_create ()

    void
    ianjuta_editor_view_create (IAnjutaEditorView *obj,
                                GError **err);

Creates a new view for the editor. The newly created view gets the user focus and scrolls to the same location as last view.

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_view_get_count ()

    gint
    ianjuta_editor_view_get_count (IAnjutaEditorView *obj,
                                   GError **err);

Total number of views currently present. It will never be less than 1. Invalid return values are considered error condition.

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_view_remove_current ()

    void
    ianjuta_editor_view_remove_current (IAnjutaEditorView *obj,
                                        GError **err);

Removes currently focused editor view. It does not remove the last view of the editor. That is, if currently there is only one view of the editor, this function does nothing.

#### Parameters

obj | Self |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_VIEW_ERROR

    #define IANJUTA_EDITOR_VIEW_ERROR ianjuta_editor_view_error_quark()